# GET /v4/schemas/{groupName}

_Merkl API_

> List schemas in a group (BETA)

**List schemas in a group**<p>Returns every entry of the enum backing the given group. Each entry contains the addressable <code>value</code>, the enum <code>key</code> and an optional human-readable <code>description</code>. Use one of these <code>value</code>s (or the <code>key</code>) as <code>:typeId</code> in <code>GET /v4/schemas/:groupName/:typeId</code>.</p><p>Example: <code>GET /v4/schemas/distributionMethod</code> returns the list of <code>DistributionMethod</code> values for which a JSON Schema is available.</p><p>Responds <code>404</code> if <code>groupName</code> is not a known group — see <code>GET /v4/schemas</code> for the list of valid groups.</p>

### Path parameters

- `groupName` (string) _(required)_

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X GET "https://api.merkl.xyz//v4/schemas/{groupName}" \
  -H "x-api-key: YOUR_API_KEY"
```